Package ch.qos.logback.core.spi

# Interface AppenderAttachable<E>

All Known Implementing Classes:
  `AccessContext`, `AppenderAttachableImpl`, `AsyncAppender`, `AsyncAppenderBase`, `LogbackValve`, `Logger`, `RequestLogImpl`

public interface AppenderAttachable<E>
Interface for attaching appenders to objects.

Author:
  Ceki Gülcü

## Method Summary

Modifier and Type
Method
Description
`void`
`addAppender(Appender<E> newAppender)`
Add an appender.
`void`
`detachAndStopAllAppenders()`
Detach and processPriorToRemoval all previously added appenders.
`boolean`
`detachAppender(Appender<E> appender)`
Detach the appender passed as parameter from the list of appenders.
`boolean`
`detachAppender(String name)`
Detach the appender with the name passed as parameter from the list of appenders.
`Appender<E>`
`getAppender(String name)`
Get an appender by name.
`boolean`
`isAttached(Appender<E> appender)`
Returns `true` if the specified appender is in list of attached attached, `false` otherwise.
`Iterator<Appender<E>>`
`iteratorForAppenders()`
Get an iterator for appenders contained in the parent object.

## Method Details

### addAppender

void addAppender(Appender<E> newAppender)
Add an appender.

### iteratorForAppenders

Iterator<Appender<E>> iteratorForAppenders()
Get an iterator for appenders contained in the parent object.

### getAppender

Appender<E> getAppender(String name)
Get an appender by name.

### isAttached

boolean isAttached(Appender<E> appender)
Returns `true` if the specified appender is in list of attached attached, `false` otherwise.

### detachAndStopAllAppenders

void detachAndStopAllAppenders()
Detach and processPriorToRemoval all previously added appenders.

### detachAppender

boolean detachAppender(Appender<E> appender)
Detach the appender passed as parameter from the list of appenders.

### detachAppender

boolean detachAppender(String name)
Detach the appender with the name passed as parameter from the list of appenders.